- Upsert a PickupDelivery by business Id
Get a PickupDelivery by business id for a given TransportRequest
Upsert a PickupDelivery by business id for a given TransportRequest
Delete a PickupDelivery by business id for a given TransportRequest
Get a PickupDelivery by business Id
Delete a PickupDelivery by business Id
Upsert a PickupDelivery b...
Upsert PickupDelivery information.
Security
clientCredentials
The RFC7240 Prefer header indicates that a particular server behavior is preferred by the client but is not required for successful completion of the request (see RFC 7240).
The following behavior is supported by this API:
- return=<minimal|representation> is used to suggest the server to return using status code 204 without a resource in the response body (minimal) or using status codes 200 or 201 with the resource in the response body on success (representation).
Properties specific to the activity that needs to be executed for fulfilling this order. In case of a PickupDelivery Order, these are two separate activities with their own settings.
- Mock serverhttps://developer.conundra.eu/_mock/apis/order-book/order-book-api/orders/pickup-deliveries/{business_id}
- Order Book API Productionhttps://api.conundra.eu/orderbook/v1/orders/pickup-deliveries/{business_id}
Comprehensive example of a pickup-delivery order using site locations
{ "order": { "order_category": "orderCategoryA", "description": "a description", "capacities": [ … ], "mandatory": true, "requirements": { … }, "lifo_groups": [ … ], "outsourcing_cost": 0, "custom_data": { … }, "plan_group": "a plan group", "client": "companyId", "max_time_in_vehicle": { … } }, "pickup": { "site_location": { … }, "stop_time": { … }, "service_time": "PT5M", "sequence": 1, "time_frame": { … }, "color": "red", "labels": [ … ], "custom_data": { … } }, "delivery": { "site_location": { … }, "stop_time": { … }, "service_time": "PT10M", "sequence": 2, "time_frame": { … }, "color": "blue", "labels": [ … ], "custom_data": { … } } }
Response
{ "order": { "business_id": "orderA", "order_category": "orderCategoryA", "description": "a description", "capacities": [ … ], "mandatory": true, "requirements": { … }, "lifo_groups": [ … ], "outsourcing_cost": 0, "custom_data": { … }, "plan_group": "a plan group", "client": "companyId", "max_time_in_vehicle": { … } }, "delivery": { "site_location": { … }, "visit_location": { … }, "stop_time": { … }, "service_time": "PT5M", "sequence": 1, "time_frame": { … }, "color": "red", "labels": [ … ], "custom_data": { … } }, "pickup": { "site_location": { … }, "visit_location": { … }, "stop_time": { … }, "service_time": "PT5M", "sequence": 1, "time_frame": { … }, "color": "red", "labels": [ … ], "custom_data": { … } } }